SDL_GetWindowSurface(3)

NAME
SDL_GetWindowSurface - Get the SDL surface associated with the window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface* SDL_GetWindowSurface(SDL_Window *window);

DESCRIPTION
A new surface will be created with the optimal format for the window, if necessary. This surface will be freed when the window is destroyed. Do not free this surface. This surface will be invalidated if the window is resized. After resizing a window this function must be called again to return a valid surface. You may not combine this with 3D or the rendering API on this window. This function is affected by SDL_HINT_FRAMEBUFFER_ACCELERATION .

FUNCTION PARAMETERS

window
    the window to query

RETURN VALUE
Returns the surface associated with the window, or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_DestroyWindowSurface(3), SDL_WindowHasSurface(3), SDL_UpdateWindowSurface(3), SDL_UpdateWindowSurfaceRects(3)